﻿@model  EnergyMission.Domain.Entities.CountryEntity

@{
    string actionName = (string)ViewData["ActionName"];
    EnergyMission.Web.Common.Common cs = new EnergyMission.Web.Common.Common();
}


@using (Html.BeginForm("Creates", "Countries", FormMethod.Post))
{
 
    @Html.AntiForgeryToken()
    @Html.HiddenFor(model => model.Id)
<div class="left right-blank">
 

    <div id="editmodel" style="display:none">
        <label class="name">Select Country</label>
     

            @Html.DropDownListFor(model => model.Name1, cs.Countries, new { @class = "select-btn" })
            @*<select class="my-dropdown">
                    <option>option1</option>
                    <option>option2</option>
                    <option>option3</option>
                </select>*@
        
        <div class="clearfix"></div>
        <small>or</small>
        <div class="clearfix"></div>


        <label class="name">Type in Country Name</label>
        <div style="position:relative;">
       @Html.TextBoxFor(model => model.NameConfirm)
            @*<input type="text" name="name" value="" placeholder="" />*@

            <div class="error-msg">
                @*<span class="cross-icon eql_height "><img src="~/Content/themes/base/images/error-arrow-2.png" alt=""></span>*@
                
                
                <span class="error"> <span class="field-validation-valid ">  <label id="lblval">  </label> </span> </span>
            </div>
        </div>
       
    </div>

    <div id="viewmodel">
        <label class="name">  Country Name</label>
        <div style="position:relative;">
            @Html.TextBoxFor(model => model.Name)
            @*<input type="text" name="name" value="" placeholder="" />*@

            <div class="error-msg">
                <span class="cross-icon eql_height "><img src="~/Content/themes/base/images/error-arrow-2.png" alt=""></span>
                <span class="error"> @Html.ValidationMessageFor(tt => tt.Name, "", new { @class = "error-message eql_height" })</span>        
                </div>

        </div>
    </div>
    <div class="clearfix"></div>
    <input class="save button" name="button" type="submit" value="Submit" />
    <input class="done button" name="button" onclick="cancelall();" type="button" value="Done" />

    </div>
<div class="right">

    </div>
}
    @*@using (var f = Html.Bootstrap().Begin(new Form(actionName, "Countries").LabelWidthMd(2).InputWidthMd(9)))
    {
        @Html.AntiForgeryToken()
        @Html.HiddenFor(model => model.Id)

        @f.FormGroup().TextBoxFor(model => model.AbbreviationCode).Placeholder("AUS").WidthMd(1)
        @f.FormGroup().TextBoxFor(model => model.InternationalCountryDialCode).WidthMd(2)
        @f.FormGroup().TextBoxFor(model => model.Name).Placeholder("Australia").WidthMd(5)

        @Html.Partial("_SaveCancelForAddEdit")
    }*@
